<?php
/** 
*
* @package phpAR
* @version $Id: ucp_arcade.php
* @copyright (c) 2007 gfxPros
* @website http://www.gfx-pros.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @package ucp
*/
class ucp_arcade
{
	var $p_master;
	var $u_action;
	
	function ucp_main(&$p_master)
	{
		$this->p_master = &$p_master;
	}

	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template, $phpbb_root_path, $phpEx;
		
		$action	= request_var('action', '');
		$game_id = request_var('g', 0);
		
		switch ($action)
		{
			case 'remove':
				$sql = 'SELECT favorite_id FROM ' . AR_FAVORITES_TABLE . '
					WHERE favorite_user = ' . $user->data['user_id'] . "
						AND favorite_game = $game_id";
				$result = $db->sql_query($sql);
				$favorite_id = (int) $db->sql_fetchfield('favorite_id');
				$db->sql_freeresult($result);
				if ($favorite_id)
				{
					$sql = 'DELETE FROM ' . AR_FAVORITES_TABLE . ' WHERE favorite_id = ' . (int) $favorite_id;
					$db->sql_query($sql);
				}
			break;
		}
		switch ($mode)
		{
			case 'favorites':

				$user->add_lang('mods/arcade');
				
				$sql = 'SELECT favorite_game FROM ' . AR_FAVORITES_TABLE . '
					WHERE favorite_user = ' . $user->data['user_id'];
				$result = $db->sql_query($sql);

				while ($row = $db->sql_fetchrow($result))
				{
					$sql = 'SELECT * FROM ' . AR_GAMES_TABLE . '
						WHERE game_id = ' . $row['favorite_game'];
					$result2 = $db->sql_query($sql);

					while ($row = $db->sql_fetchrow($result2))
					{
						$staryes =  "<img src='$phpbb_root_path/arcade/images/star_yes.gif' alt='*' />";
						$star = "<img src='$phpbb_root_path/arcade/images/star.gif' alt='*' />";
						if ($row['game_rating'] == 0)
						{
							$rstars = $star . $star . $star . $star . $star;
						}
						elseif ($row['game_rating'] == 1)
						{
							$rstars = $staryes . $star . $star . $star . $star;
						}
						elseif ($row['game_rating'] == 2)
						{
							$rstars = $staryes . $staryes . $star . $star . $star;
						}
						elseif ($row['game_rating'] == 3)
						{
							$rstars = $staryes . $staryes . $staryes . $star . $star;
						}
						elseif ($row['game_rating'] == 4)
						{
							$rstars = $staryes . $staryes . $staryes . $staryes . $star;
						}
						elseif ($row['game_rating'] == 5)
						{
							$rstars = $staryes . $staryes . $staryes . $staryes . $staryes;
						}
						// Send vars to template
						$filesize = floor($row['game_filesize']/1024);
						$template->assign_block_vars('favoriterow', array(
								'GAME_ID'			=> $row['game_id'],
								'GAME_NAME'			=> $row['game_name'],
								'GAME_IMAGE'		=> $row['game_image'],
								'GAME_PLAYS'		=> $row['game_plays'],
								'GAME_RATING'		=> $rstars,
								'GAME_NUM_RATINGS'	=> $row['game_num_ratings'],
								'GAME_SIZE'			=> $filesize . 'kB',
								'GAME_REMOVE'		=> "<img src='$phpbb_root_path/arcade/images/star_r.gif' alt='*' />",
								'U_REMOVE'			=> $this->u_action . '&action=remove&g=' . $row['game_id']
						));
						$template->assign_vars(array(
								'S_FAVORITES'		=> true
						));
					}
					$db->sql_freeresult($result2);
				}
				$db->sql_freeresult($result);

			break;

		}

		// Set desired template
		$this->tpl_name = 'ucp_arcade_' . $mode;
		$this->page_title = $user->lang['GAME_FAVORITES'];
	}

}

?>