<?php
/** 
*
* @package phpAR
* @version $Id: newscore.php
* @copyright (c) 2007 gfxPros
* @website http://www.gfx-pros.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/arcade');
// End session management

// Output page
page_header($user->lang['ARCADE']);

$template->set_filenames(array(
	'body' => 'arcade_body.html'
));

// Deny $HTTP_GET_VARS Mode Games
if($HTTP_GET_VARS['score'])
{
	header("Location: arcade.php");		
}

$score = (($HTTP_POST_VARS['score'])) ? $HTTP_POST_VARS['score'] : $_POST['score'];

$sql = 'SELECT viewing_game FROM ' . AR_VIEWING_TABLE . '
	WHERE viewing_user = ' . $user->data['user_id'];
$result = $db->sql_query($sql);
$viewing_game = (int) $db->sql_fetchfield('viewing_game');
$db->sql_freeresult($result);
if ($viewing_game)
{
	// Check if games can be commented on
	$sql = 'SELECT COUNT(game_id) AS row_count FROM ' . AR_GAMES_TABLE . ' WHERE game_id = ' . $viewing_game . ' AND game_highscore = 1';
	$result = $db->sql_query($sql);
	$row_count = (int) $db->sql_fetchfield('row_count');
	$db->sql_freeresult($result);
	if ($row_count)
	{
		$game_highscore = true;
	}
	else
	{
		$game_highscore = false;
	}
	
	if ($game_highscore == true && $user->data['is_registered'])
	{
			$sql_ary = array(
				'highscore_game'	=> $viewing_game,
				'highscore_user'	=> $user->data['user_id'],
				'highscore'			=> $score
			);
			$sql = 'INSERT INTO ' . AR_HIGHSCORES_TABLE . ' ' . $db->sql_build_array('INSERT', $sql_ary);
			$db->sql_query($sql);
	}
	header("Location: viewgame.php?g=$viewing_game&action=p");
}
else
{
	//header("Location: arcade.php");
}

?>