<?php
/** 
*
* arcade [English]
*
* @package language
* @version $Id: arcade.php, view_category.php, viewgame.php, install.php
* @copyright (c) 2007 gfxPros
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* DO NOT CHANGE
*/
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'ARCADE'			=> 'Arcade Room',
	'AR_VERSION'		=> '0.6.5',
	'A_SETTINGS'		=> 'Arcade Settings',
	'A_SETTINGS_DESC'	=> 'Here you can enable/disable several arcade room features.  As well as perform several different tasks.',
	'AR_SETTINGS'		=> 'Arcade Room Settings',
	'AR_TASKS'			=> 'Arcade Room Tasks',
	'AR_WELCOME'		=> 'Welcome to the arcade mod installation.',
	'AR_EXPLAIN'		=> 'We are going to walk you through installing the Arcade Room today begining with adding MYSQL Databases.',
	'AR_TO_BEGIN'		=> 'To begin the installation please click being below.',
	'BEGIN'				=> 'Begin',
	'ADD_MODULES'		=> 'Add Modules',
	'EDIT_FILES'		=> 'Edit Files',
	'FINISH'			=> 'Finish',
	'MYSQL_DONE'		=> 'The mysql edits are done if there is a problem please read the install.xml to add the databases yourself.',
	'MODULES_DONE'		=> 'Finished added modules to the ACP if they did not add properly or show up in the ACP add them yourself.',
	'EDITS_DONE'		=> 'The file edits are done if there is a problem please read the install.xml to edit the files yourself.',
	'GAME_TASKS'		=> 'Game Tasks',
	'RESET_RATINGS'		=> 'Reset all ratings for games: ',
	'RESET_RATING'		=> 'Reset ratings for this game: ',
	'RESET_HIGHSCORES'	=> 'Reset all highscores for games: ',
	'RESET_HIGHSCORE'	=> 'Reset highscores for this game: ',
	'MANAGE_CAT'		=> 'Manage Categories',
	'MANAGE_CAT_DESC'	=> 'Here you can add/remove categories.',
	'MANAGE_GAMES'		=> 'Manage Games',
	'MANAGE_GAMES_DESC'	=> 'Here you can add/edit/remove games.',
	'EDIT_GAME'			=> 'Edit Game',
	'EDIT_GAME_DESC'	=> 'Here you can edit the values of the game.',
	'ADD_GAME'			=> 'Add Game',
	'CREATE_CAT'		=> 'Create Category',
	'ADD_GAME_DESC'		=> 'Here you can add a game to the arcade.',
	'ADDED_GAME'		=> 'The following game has been added successfully to the database.',
	'EDITED_GAME'		=> 'The following game has been edited successfully in the database.',
	'ALLOW_GUEST'		=> 'Allow guest view',
	'GUEST_INCREASE'	=> 'Guest increases game plays',
	'ALLOW_COMMENTS'	=> 'Allow games to be commented on',
	'RUN_TASK'			=> 'Run Task',
	'DISABLED'			=> '(disabled because highscores not working yet)',
	'COMMENT'			=> 'Comment',
	'DELETE_COMMENT'	=> 'Delete Comment',
	'GAME_NAME'			=> 'Name',
	'GAME_IMAGE'		=> 'Image',
	'CAT'				=> 'Categories',
	'TOP_RATE'			=> 'Top Rated',
	'LATEST'			=> 'Latest Games',
	'TOP_PLAY'			=> 'Top Played',
	'GAME_DIR'			=> 'Directions',
	'GAME_DESC'			=> 'Description',
	'GAME_RATING'		=> 'Rating',
	'GAME_NUM_RATINGS'	=> '# of Ratings',
	'GAME_PLAYED'		=> '# of Plays',
	'GAME_SIZE'			=> 'Size',
	'GAME_NAME_C'		=> 'Name: ',
	'GAME_DIR_C'		=> 'Directions: ',
	'GAME_DESC_C'		=> 'Description: ',
	'GAME_PLAY_C'		=> 'Plays: ',
	'GAME_SIZE_C'		=> 'Size: ',
	'GAME_RATING_C'		=> 'Rating: ',
	'GAME_RATINGS_C'	=> 'Ratings: ',
	'GAME_FILE_C'		=> 'File: ',
	'GAME_IMAGE_C'		=> 'Image: ',
	'GAME_HEIGHT_C'		=> 'Height: ',
	'GAME_WIDTH_C'		=> 'Width: ',
	'GAME_CAT_C'		=> 'Category: ',
	'SAVE_GAME'			=> 'Save Game',
	'GUEST'				=> 'Sorry guests can\'t play in the Arcade Room unless the admin chooses to allow guests to play.',
	'RATINGS_RESET'		=> 'The Ratings for all games have been reset.',
	'RATING_RESET'		=> 'The Game you asked for ratings to be reset has had its ratings reset.',
	'TOTAL_OF'			=> 'There is a total of ',
	'GAMES_IN_ARCADE'	=> ' games in this arcade.',
	'CATEGORY_REMOVED'	=> 'The Category has been removed.',
	'GAME_REMOVED'		=> 'The Game has been removed',
	'CATEGORY_ADDED'	=> 'The Category has been added.',
	'GAME_ADDED'		=> 'The Game has been added.',
	'GAME_SAVED'		=> 'The Game has been saved.',
	'SETTINGS_UPDATED'	=> 'The Settings have been updated.',
	'YOUR'				=> 'Your',
	'OUT_OF_DATE'		=> 'of phpAR is out of date, the new ',
	'UP_TO_DATE'		=> 'of phpAR is up to date.',
	'CLICK_UPDATE'		=> 'Click here to update you phpAR mod',
	'OUT_NOW'			=> 'is out now.',
	'CAT_MANAGE'		=> 'Category Management',
	'GAME_MANAGE'		=> 'Game Management',
	'SERVER_ERROR'		=> 'Error contacting update server.',
	'ERROR_GAME'		=> 'There was an error uploading the game file, please try again!',
	'ERROR_IMAGE'		=> 'There was an error uploading the image file, please try again!',
	'GAME_DUP'			=> 'A game on the server already uses that file name please rename the file and try uploading again.',
	'IMAGE_DUP'			=> 'An image on the server already uses that file name please rename the file and try uploading again.',
	'UP_GAME'			=> 'You need to upload a game file.',
	'WRONG_GAME_TYPE'	=> 'Incorrect game file type must be a swf flash file.',
	'WRONG_IMAGE_TYPE'	=> 'Incorrect image file type must be a gif, jpeg, or png file.',
	'SPECIFY_NAME'		=> 'Please specify a game name.',
	'SPECIFY_HEIGHT'	=> 'Please specify a height.',
	'SPECIFY_WIDTH'		=> 'Please specify a width.',
	'SPECIFY_DIR'		=> 'Please specify some directions for the game.',
	'SPECIFY_DESC'		=> 'Please specify a description for the game.',
	'SPECIFY_CAT'		=> 'Please specify a category for the game.',
	'MYSQL_EDITS'		=> 'mySQL EDITS:',
	'DATABSE_SUCCESS'	=> ' succesfully added to the database.',
	'DATABASE_EXISTS'	=> ' already exists in the database.',
	'DATABASE_ERROR'	=> ' had an error being added to the database.',
	'ACP_MODULES'		=> 'ACP Modules:',
	'ACP_ADDED'			=> 'ACP modules added successfully.',
	'ACP_EXISTS'		=> 'ACP modules already exist nothing changed.',
	'FILE_EDITS'		=> 'File EDITS:',
	'EDIT_SUCCESS'		=> ' edited successfully.',
	'EDITED_ALREADY'	=> '  was already previously edited.',
	'IF_OK'				=> 'The installer is done if every thing is fine click delete to delete the install file and return to the index.',
	//Added lines for 0.5.0
	'IF_OK_NEW'			=> 'To make the arcade favorites show up in the UCP you first need to go to the ACP->System->User Control Panel-> and create a category and add Favorite Games module under that category.  Then make sure both are enabled.',
	'LIMIT'				=> '10mb limit',
	'IMAGE_LIMIT'		=> 'images bigger than 75x75 will be scaled down',
	'ENABLE_HOTLINK'	=> 'Enable hotlink protection',
	'ENABLE_FAVORITES'	=> 'Enable game favorites',
	'GAME_FAVORITES'	=> 'Game Favorites',
	'YOUR_FAVORITE'		=> 'Your favorite games',
	'NO_FAVORITES'		=> 'You have no favorite games',
	'GAME_REMOVE'		=> 'Remove',
	'GAME_ADD'			=> 'Add',
	'GAME_ADD_REMOVE'	=> 'Add / Remove',
	'ARCADE_WELCOME'	=> 'Welcome to the Arcade Room in the User Control Panel.  From here you can view your favorite games, remove games that are no longer your favorite.',
	'CAT_HAS_GAMES'		=> 'You can\'t delete the category it contains games.',
	'YOU_HAVE'			=> 'You have a total of ',
	'GAMES_FAVORITED'	=> ' favorite games.',
	'GAME_FAVORITED'	=> ' favorite game.',
	//Added lines for 0.6.0
	'NONE_FAVORITED'	=> 'You haven\'t chosen any games to be you favorite yet.',
	'NONE_IN_ARCADE'	=> 'There are no games in this arcade.',
	'GAME_IN_ARCADE'	=> ' game in this arcade.',
	'NONE_IN_CAT'		=> 'There are no games in this category.',
	'GAME_IN_CAT'		=> ' game in this category.',
	'GAMES_IN_CAT'		=> ' game in this category.',
	'GAME_HIGHSCORES'	=> 'High Scores',
	'GAME_NO_HIGHSCORE'	=> 'There are no high scores for this game.',
	'NUM_FAVORITES'		=> '# of Favorites',
	'COMMENTS'			=> 'Comments',
	'UCP_MODULES'		=> 'UCP Modules:',
	'UCP_ADDED'			=> 'UCP modules added successfully.',
	'UCP_EXISTS'		=> 'UCP modules already exist nothing changed.',
	'COPY_FILES'		=> 'Copy Files',
	'COPY_DONE'			=> 'File copying finished',
	'FILE_COPIES'		=> 'File COPIES:',
	'COPY_SUCCESS'		=> ' copied successfully to ',
	'COPY_PROBLEM'		=> 'There was a problem copying ',
	'DELETE_PROBLEM'	=> 'There was a problem deleting ',
	//Added lines for 0.6.5
	'HIGHEST_SCORE'		=> 'Highest Score',
	'GAME_HIGHSCORE_C'	=> 'Highscore:',
	'REMOVE_IMAGE_C'	=> 'Remove Image:',
	'GAME_NEWSCORE_C'	=> 'newscore.php:',
	'NEWSCORE_DESC'		=> 'newscore.php games only',
));

?>